Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.icon
Class ScaledIconTheme

    java.lang.Object
      de.grogra.util.ResourceConverterBase
          de.grogra.icon.ScaledIconTheme

All Implemented Interfaces:
  IconTheme, ResourceConverter

    public class ScaledIconTheme

extends ResourceConverterBase
implements IconTheme

Field Summary
`protected java.awt.Dimension[]` | `sizes`
`protected IconTheme[]` | `themes`

Fields inherited from class de.grogra.util.ResourceConverterBase
`map, name`

Fields inherited from interface de.grogra.util.ResourceConverter
`CAT, LINK`

Constructor Summary
`ScaledIconTheme(java.lang.String name, IconTheme[] themes)`
`ScaledIconTheme(java.lang.String name, IconTheme[] themes, java.awt.Dimension[] dimensions)`

Method Summary
`protected java.lang.Object` | `convertImpl(java.lang.String key, I18NBundle bundle)`
`static ScaledIconTheme` | `create(java.lang.String name, java.net.URL[] roots, java.awt.Dimension[] sizes, java.lang.String suffix)`
`java.awt.Dimension` | `getSize()`
`IconSource` | `getSource(java.lang.String key)`
`static ScaledIconTheme` | `readFromDirectory(java.lang.String name, java.io.File root, java.lang.String suffix)`
`static ScaledIconTheme` | `readFromDirectory(java.lang.String name, java.net.URL root, java.lang.String suffix)`

Methods inherited from class de.grogra.util.ResourceConverterBase
`canHandleConversion, convert`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### sizes

    protected java.awt.Dimension[] sizes

### themes

    protected IconTheme[] themes

Constructor Detail

### ScaledIconTheme

    public ScaledIconTheme(java.lang.String name,
                           IconTheme[] themes)

### ScaledIconTheme

    public ScaledIconTheme(java.lang.String name,
                           IconTheme[] themes,
                           java.awt.Dimension[] dimensions)

Method Detail

### convertImpl

    protected java.lang.Object convertImpl(java.lang.String key,
                                           I18NBundle bundle)

  Specified by:
    `convertImpl` in class `ResourceConverterBase`

### create

    public static ScaledIconTheme create(java.lang.String name,
                                         java.net.URL[] roots,
                                         java.awt.Dimension[] sizes,
                                         java.lang.String suffix)

### getSize

    public java.awt.Dimension getSize()

  Specified by:
    `getSize` in interface `IconTheme`

### getSource

    public IconSource getSource(java.lang.String key)

  Specified by:
    `getSource` in interface `IconTheme`

### readFromDirectory

    public static ScaledIconTheme readFromDirectory(java.lang.String name,
                                                    java.io.File root,
                                                    java.lang.String suffix)

### readFromDirectory

    public static ScaledIconTheme readFromDirectory(java.lang.String name,
                                                    java.net.URL root,
                                                    java.lang.String suffix)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD